var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
import React, { useContext } from 'react';
import { Context } from '../context';
function IconNextStepComponent(props, ref) {
    var prefixFromContext = useContext(Context).prefix;
    var _a = props.className, className = _a === void 0 ? '' : _a, prefixFromProps = props.prefix, _b = props.width, width = _b === void 0 ? '1em' : _b, _c = props.height, height = _c === void 0 ? '1em' : _c, _d = props.useCurrentColor, useCurrentColor = _d === void 0 ? true : _d, spin = props.spin, rest = __rest(props, ["className", "prefix", "width", "height", "useCurrentColor", "spin"]);
    var prefix = prefixFromProps || prefixFromContext || 'hiagent';
    var loadingKls = spin ? " ".concat(prefix, "-icon-loading") : '';
    return React.createElement("svg", __assign({ className: "".concat(prefix, "-icon ").concat(prefix, "-icon-next-step").concat(loadingKls, " ").concat(className), width: width, height: height, xmlns: "http://www.w3.org/2000/svg", fill: useCurrentColor ? 'currentColor' : '#000', viewBox: "0 0 24 24" }, rest, { ref: ref }),
        React.createElement("path", { fillRule: "evenodd", d: "m15.78 3.925.192-.193-.193.193Zm-2.396 14.507a.447.447 0 0 0-.174-.035H9.5c-1.737 0-4.492-1.798-4.492-4.51 0-2.713 2.755-4.493 4.492-4.493h8.432H9.5c-1.737 0-4.492 1.78-4.492 4.492 0 2.713 2.755 4.51 4.492 4.51h3.71a.44.44 0 0 1 .174.036Zm3.839-8.328.71-.71-.71.71Zm-1.48 2.928.23.229-.23-.23Zm2.38-1.286 2.614-2.615-2.614 2.615Zm2.811-3.588a.895.895 0 0 0-.197-.297l-2.242-2.242 2.242 2.242a.896.896 0 0 1 .197.297Zm-3.87 1.596-1.982 1.982a.81.81 0 0 0 0 1.144l.636.635a.81.81 0 0 0 1.144 0l4.13-4.13a1.258 1.258 0 0 0 0-1.779l-4.13-4.129a.81.81 0 0 0-1.144 0l-.636.635a.81.81 0 0 0 0 1.145l1.982 1.98H9.289a6.649 6.649 0 0 0 0 13.298h3.92a.81.81 0 0 0 .81-.809v-.88a.81.81 0 0 0-.81-.81H9.5c-.762 0-1.804-.404-2.66-1.149-.85-.739-1.471-1.774-1.471-3 0-1.227.622-2.257 1.47-2.992.856-.74 1.898-1.14 2.662-1.14h7.563Z", clipRule: "evenodd" }));
}
var IconNextStep = React.forwardRef(IconNextStepComponent);
export default IconNextStep;
